<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_signature_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_signature_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__kernel.html">Kernel APIs</a>]</small>
</h1><!-- doxytag: class="tivx_signature_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The internal representation of the attributes associated with a run-time parameter. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__signature__t.html#a80f6496e8b7f46f488dc76b3adcda079">directions</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The array of directions.  <a href="#a80f6496e8b7f46f488dc76b3adcda079"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__signature__t.html#a4804fd57a0f029c43c7872aa64a35e4f">types</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The array of types.  <a href="#a4804fd57a0f029c43c7872aa64a35e4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__signature__t.html#afd4cdb8c9db7bb5d7f7ff404dc4f9b34">states</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The array of states.  <a href="#afd4cdb8c9db7bb5d7f7ff404dc4f9b34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__signature__t.html#a33289a39c86d7e237820c2fd50f6b140">num_parameters</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of items in both <a class="el" href="structtivx__signature__t.html#a80f6496e8b7f46f488dc76b3adcda079">tivx_signature_t::directions</a> and <a class="el" href="structtivx__signature__t.html#a4804fd57a0f029c43c7872aa64a35e4f">tivx_signature_t::types</a>.  <a href="#a33289a39c86d7e237820c2fd50f6b140"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a80f6496e8b7f46f488dc76b3adcda079"></a><!-- doxytag: member="tivx_signature_t::directions" ref="a80f6496e8b7f46f488dc76b3adcda079" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__signature__t.html#a80f6496e8b7f46f488dc76b3adcda079">tivx_signature_t::directions</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The array of directions. </p>

</div>
</div>
<a class="anchor" id="a4804fd57a0f029c43c7872aa64a35e4f"></a><!-- doxytag: member="tivx_signature_t::types" ref="a4804fd57a0f029c43c7872aa64a35e4f" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__signature__t.html#a4804fd57a0f029c43c7872aa64a35e4f">tivx_signature_t::types</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The array of types. </p>

</div>
</div>
<a class="anchor" id="afd4cdb8c9db7bb5d7f7ff404dc4f9b34"></a><!-- doxytag: member="tivx_signature_t::states" ref="afd4cdb8c9db7bb5d7f7ff404dc4f9b34" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__signature__t.html#afd4cdb8c9db7bb5d7f7ff404dc4f9b34">tivx_signature_t::states</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The array of states. </p>

</div>
</div>
<a class="anchor" id="a33289a39c86d7e237820c2fd50f6b140"></a><!-- doxytag: member="tivx_signature_t::num_parameters" ref="a33289a39c86d7e237820c2fd50f6b140" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__signature__t.html#a33289a39c86d7e237820c2fd50f6b140">tivx_signature_t::num_parameters</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of items in both <a class="el" href="structtivx__signature__t.html#a80f6496e8b7f46f488dc76b3adcda079">tivx_signature_t::directions</a> and <a class="el" href="structtivx__signature__t.html#a4804fd57a0f029c43c7872aa64a35e4f">tivx_signature_t::types</a>. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
